package imt;

import imt.ingredients.Consigne;
import imt.ingredients.Ingredient;
import imt.ingredients.Legume;
import imt.ingredients.Plat;
import imt.ingredients.ViandePoisson;

public class Application {

    public static void main(String[] args) {
		// var chef = new Chef(1, "Caca", "Pipi", "DQSQFQSF", Genre.HOMME, 3, Specialite.CUISINIER);
        // var padawan = new Padawan(1, "Hazebrouck", "Antoine", "06 51 73 08 05", Genre.HOMME, chef);

		// System.out.println(padawan);

        Ingredient ingredient1 = new Legume(1,"Oignons",120,false);
        Ingredient ingredient2 = new Legume(2,"Patate",120,false);
        Ingredient ingredient3 = new ViandePoisson(3,"Poulet",120,12);
        Consigne[] consignes = Consigne.values();
        Ingredient[] ingredients = {ingredient1, ingredient2, ingredient3};
        for (int i=0; i<=2; i++){
            ingredients[i].setConsignes(consignes);
        }

        System.out.println(ingredient1);

        Plat plat = new Plat(1,"Oignon Poulet patate", ingredients);
        System.out.println(plat);
    }
}
